Package org.eclipse.ecf.core.util

# Class AdapterContainerFilter

java.lang.Object
org.eclipse.ecf.core.util.AdapterContainerFilter

All Implemented Interfaces:
  `IContainerFilter`

public class AdapterContainerFilter extends Object implements IContainerFilter

## Constructor Summary

Constructors
Constructor
Description
`AdapterContainerFilter(Class clazz)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getMatchResult()`
`boolean`
`match(IContainer containerToMatch)`
Match a given containerToMatch against some set of implementation-defined criteria.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdapterContainerFilter

public AdapterContainerFilter(Class clazz)

## Method Details

### match

public boolean match(IContainer containerToMatch)
Description copied from interface: `IContainerFilter`
Match a given containerToMatch against some set of implementation-defined criteria.

Specified by:
  `match` in interface `IContainerFilter`
Parameters:
  `containerToMatch` - the containerToMatch. Will not be `null`.
Returns:
  boolean true if the given containerToMatch fulfills some implementation-dependent criteria. false if not.

### getMatchResult

public Object getMatchResult()